package com.ruoyi.project.activiti.domain;

import java.io.Serializable;

public class MyTaskVo implements Serializable {

    /** 任务ID */
    private String taskId;

    /** 任务名称 */
    private String taskName;
    /**
     * 外置表单key
     */
    private String formKey;
    /**
     * 模型key
     */
    private String modelKey;

    /**
     * 模型version
     */
    private Integer modelVersion;
    /**
     * 流程id
     */
    private String instanceId;

    private String processDefinitionId;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getFormKey() {
        return formKey;
    }

    public void setFormKey(String formKey) {
        this.formKey = formKey;
    }

    public String getModelKey() {
        return modelKey;
    }

    public void setModelKey(String modelKey) {
        this.modelKey = modelKey;
    }

    public Integer getModelVersion() {
        return modelVersion;
    }

    public void setModelVersion(Integer modelVersion) {
        this.modelVersion = modelVersion;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getProcessDefinitionId() {
        return processDefinitionId;
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }
}
